Bug 549198 - Review Request: python-jabberbot - A simple jabber (XMPP) bot framework
Review Request: python-jabberbot - A simple jabber (XMPP) bot framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-20 16:37 EST by Fabian Affolter
Modified: 2010-01-01 22:34 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.8-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-01 22:28:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-12-20 16:37:48 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-jabberbot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-jabberbot-0.8-1.fc12.src.rpm

Project URL: http://thpinfo.com/2007/python-jabberbot/

Description:
This is python-jabberbot, a Jabber bot framework for Python that enables you
to easily write simple Jabber bots. You can use your Jabber bots to provide
information about your running systems, to make your website interact with
your visitors or notify you about updates or changes you monitor with your
Python scripts. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1882194

rpmlint output:
[fab@localhost noarch]$ rpmlint python-jabberbot-0.8-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@localhost SRPMS]$ rpmlint python-jabberbot-0.8-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Thomas Spura 2009-12-20 18:32:19 EST
Review:

Good:
- name ok
- %files section ok
- permissions ok
- rpmlint clean
- macros everywhere
- %clean is there
- %doc ok
- no *.la files
- no libs
- no gui -> no desktop file
- no translations
- group ok


Needswork:
- Have you queried upstream to include a COPYING file?
  If not yet, please do so.
- BR: python-devel is not needed
- --prefix=%{_prefix} is not needed in %install
- License is GPLv3+ not GPLv3 only


#######################

These are only minor issues, which are fixed easily -> appoving

#######################

APPROVED
Comment 2 Fabian Affolter 2009-12-21 04:43:16 EST
Thanks for the review Thomas.

(In reply to comment #1)

> Needswork:
> - Have you queried upstream to include a COPYING file?
>   If not yet, please do so.

I'm waiting for an answer from upstream about that issue.

> - BR: python-devel is not needed

The Guidelines says 'python-devel' must be added because it's no longer in the default package set.  Am I wrong?

http://fedoraproject.org/wiki/Packaging:Python

> - --prefix=%{_prefix} is not needed in %install

Will be removed

> - License is GPLv3+ not GPLv3 only

Will be fixed
Comment 3 Fabian Affolter 2009-12-21 11:59:20 EST
New Package CVS Request
=======================
Package Name: python-jabberbot
Short Description: A simple jabber (XMPP) bot framework
Owners: fab
Branches: F-11 F-12
InitialCC:
Comment 4 Toshio Ernie Kuratomi 2009-12-21 14:43:29 EST
python-devel is needed to build python packages.  I'm remember precisely what the issue with that was, however, so it's possible that the python package in Fedora-13 has fixed this (dmalcolm fixed one issue with python-devel being needed in F-13's package).  Fedora 12 and below still need it to build, though.
Comment 5 Toshio Ernie Kuratomi 2009-12-21 15:04:36 EST
cvs done.
Comment 6 Fedora Update System 2009-12-24 06:16:11 EST
python-jabberbot-0.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-jabberbot-0.8-2.fc12
Comment 7 Fedora Update System 2009-12-24 06:16:16 EST
python-jabberbot-0.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-jabberbot-0.8-2.fc11
Comment 8 Fedora Update System 2009-12-24 15:37:31 EST
python-jabberbot-0.8-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-jabberbot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13620
Comment 9 Fedora Update System 2009-12-24 15:44:54 EST
python-jabberbot-0.8-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-jabberbot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13674
Comment 10 Fedora Update System 2010-01-01 22:27:58 EST
python-jabberbot-0.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-01-01 22:34:13 EST
python-jabberbot-0.8-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.